### Enumeration

# GtkFontLevel

since: 4.10

#### Declaration

    enum Gtk.FontLevel

#### Description [src]

The level of granularity for the font selection.

Depending on this value, the `PangoFontDescription` that is returned by `gtk_font_dialog_button_get_font_desc()` will have more or less fields set.

Available since: 4.10

#### Members

`GTK_FONT_LEVEL_FAMILY`

  Select a font family.

  - Value: `0`
  - Nickname: `family`
  - Available since: 4.10
`GTK_FONT_LEVEL_FACE`

  Select a font face (i.e. a family and a style)

  - Value: `1`
  - Nickname: `face`
  - Available since: 4.10
`GTK_FONT_LEVEL_FONT`

  Select a font (i.e. a face with a size, and possibly font variations)

  - Value: `2`
  - Nickname: `font`
  - Available since: 4.10
`GTK_FONT_LEVEL_FEATURES`

  Select a font and font features.

  - Value: `3`
  - Nickname: `features`
  - Available since: 4.10